## org.jfree.chart
Interface LegendItemSource

All Known Subinterfaces:
  CategoryItemRenderer, XYItemRenderer

All Known Implementing Classes:
  AbstractCategoryItemRenderer, AbstractXYItemRenderer, AreaRenderer, BarRenderer, BarRenderer3D, BoxAndWhiskerRenderer, CandlestickRenderer, CategoryPlot, CategoryStepRenderer, ClusteredXYBarRenderer, CombinedDomainCategoryPlot, CombinedDomainXYPlot, CombinedRangeCategoryPlot, CombinedRangeXYPlot, CompassPlot, ContourPlot, CyclicXYItemRenderer, DefaultCategoryItemRenderer, DefaultXYItemRenderer, DeviationRenderer, DialPlot, FastScatterPlot, GanttRenderer, GroupedStackedBarRenderer, HighLowRenderer, IntervalBarRenderer, LayeredBarRenderer, LevelRenderer, LineAndShapeRenderer, LineRenderer3D, MeterPlot, MinMaxCategoryRenderer, MultiplePiePlot, PiePlot, PiePlot3D, Plot, PolarPlot, RingPlot, ScatterRenderer, SpiderWebPlot, StackedAreaRenderer, StackedBarRenderer, StackedBarRenderer3D, StackedXYAreaRenderer, StackedXYAreaRenderer2, StackedXYBarRenderer, StandardXYItemRenderer, StatisticalBarRenderer, StatisticalLineAndShapeRenderer, ThermometerPlot, VectorRenderer, WaferMapPlot, WaterfallBarRenderer, WindItemRenderer, XYAreaRenderer, XYAreaRenderer2, XYBarRenderer, XYBlockRenderer, XYBoxAndWhiskerRenderer, XYBubbleRenderer, XYDifferenceRenderer, XYDotRenderer, XYErrorRenderer, XYLine3DRenderer, XYLineAndShapeRenderer, XYPlot, XYSplineRenderer, XYStepAreaRenderer, XYStepRenderer, YIntervalRenderer

    public interface LegendItemSource

A source of legend items. A `LegendTitle` will maintain a list of sources (often just one) from which it obtains legend items.

Method Summary
`LegendItemCollection` `getLegendItems()` Returns a (possibly empty) collection of legend items.

Method Detail

### getLegendItems

    LegendItemCollection getLegendItems()

  Returns a (possibly empty) collection of legend items.

  Returns:
    The legend item collection (never `null`).